<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
		<link type="text/css" rel="stylesheet" href="../../../build/fonts/fonts.css">
		<link type="text/css" rel="stylesheet" href="../../../build/reset/reset.css">
		
		<script type="text/javascript" src="../../../build/yahoo/yahoo.js"></script>
		<script type="text/javascript" src="../../../build/event/event.js" ></script>
		<script type="text/javascript" src="../../../build/dom/dom.js" ></script>

		<script type="text/javascript" src="../../../build/calendar/calendar.js"></script>
		<link type="text/css" rel="stylesheet" href="../../../build/calendar/assets/calendar.css">

		<style>
			.yui-calendar td.wd0 { background-color:#fde0e0; }
			.yui-calendar td.wd0 a { color:red; }
		</style>

		<script>
				YAHOO.namespace("example.calendar");

				function init() {
					YAHOO.example.calendar.cal1 = new YAHOO.widget.CalendarGroup("cal1","cal1Container", { START_WEEKDAY: 1, MULTI_SELECT:true } );

					// Correct formats for Japan: yyyy/mm/dd, mm/dd, yyyy/mm

					YAHOO.example.calendar.cal1.cfg.setProperty("MDY_YEAR_POSITION", 1);
					YAHOO.example.calendar.cal1.cfg.setProperty("MDY_MONTH_POSITION", 2);
					YAHOO.example.calendar.cal1.cfg.setProperty("MDY_DAY_POSITION", 3);

					YAHOO.example.calendar.cal1.cfg.setProperty("MY_YEAR_POSITION", 1);
					YAHOO.example.calendar.cal1.cfg.setProperty("MY_MONTH_POSITION", 2);

					// Date labels for Japanese locale

					YAHOO.example.calendar.cal1.cfg.setProperty("MONTHS_SHORT",   ["1\u6708", "2\u6708", "3\u6708", "4\u6708", "5\u6708", "6\u6708", "7\u6708", "8\u6708", "9\u6708", "10\u6708", "11\u6708", "12\u6708"]);
					YAHOO.example.calendar.cal1.cfg.setProperty("MONTHS_LONG",    ["1\u6708", "2\u6708", "3\u6708", "4\u6708", "5\u6708", "6\u6708", "7\u6708", "8\u6708", "9\u6708", "10\u6708", "11\u6708", "12\u6708"]);
					YAHOO.example.calendar.cal1.cfg.setProperty("WEEKDAYS_1CHAR", ["\u65E5", "\u6708", "\u706B", "\u6C34", "\u6728", "\u91D1", "\u571F"]);
					YAHOO.example.calendar.cal1.cfg.setProperty("WEEKDAYS_SHORT", ["\u65E5", "\u6708", "\u706B", "\u6C34", "\u6728", "\u91D1", "\u571F"]);
					YAHOO.example.calendar.cal1.cfg.setProperty("WEEKDAYS_MEDIUM",["\u65E5", "\u6708", "\u706B", "\u6C34", "\u6728", "\u91D1", "\u571F"]);
					YAHOO.example.calendar.cal1.cfg.setProperty("WEEKDAYS_LONG",  ["\u65E5", "\u6708", "\u706B", "\u6C34", "\u6728", "\u91D1", "\u571F"]);

					YAHOO.example.calendar.cal1.select("2006/10/1-2006/10/8");		
					YAHOO.example.calendar.cal1.render();
				}

				YAHOO.util.Event.addListener(window, "load", init);
		</script>
	</head>

	<body>
		<div id="cal1Container"></div>
	</body>
</html>